diff --git a/pgadmin/frm/frmGrantWizard.cpp b/pgadmin/frm/frmGrantWizard.cpp
index 58b55a3..faac878 100644
--- a/pgadmin/frm/frmGrantWizard.cpp
+++ b/pgadmin/frm/frmGrantWizard.cpp
@@ -165,15 +165,15 @@ void frmGrantWizard::Go()
 {
 	chkList->SetFocus();
 
-	wxString privList = wxT("INSERT,SELECT,UPDATE,DELETE,TRUNCATE,RULE,REFERENCES,TRIGGER");
-	const char *privChar = "arwdDRxt";
+	wxString privList = wxT("INSERT,SELECT,UPDATE,DELETE,TRUNCATE,RULE,REFERENCES,TRIGGER,USAGE");
+	const char *privChar = "arwdDRxtU";
 
 	switch (object->GetMetaType())
 	{
 		case PGM_DATABASE:
 		case PGM_SCHEMA:
 			privList.Append(wxT(",EXECUTE"));
-			privChar = "arwdDRxtX";
+			privChar = "arwdDRxtUX";
 			break;
 		case PGM_FUNCTION:
 			privList = wxT("EXECUTE");
@@ -272,9 +272,11 @@ wxString frmGrantWizard::GetSql()
 					break;
 				}
 				case PGM_VIEW:
-				case PGM_SEQUENCE:
 					tmp = securityPage->GetGrant(wxT("arwdRxt"), wxT("TABLE ") + obj->GetQuotedFullIdentifier());
 					break;
+				case PGM_SEQUENCE:
+					tmp = securityPage->GetGrant(wxT("rwU"), wxT("SEQUENCE ") + obj->GetQuotedFullIdentifier());
+					break;
 				case GP_EXTTABLE:
 					tmp = securityPage->GetGrant(wxT("r"), wxT("TABLE ") + obj->GetQuotedFullIdentifier());
 				default:
